import axios from '@/libs/axios.js';

// 获取首页网点列表
export const getMapStoreList = params => {
  return axios.request({
    url: `store/findList`,
    method: 'post',
	data: params
  },true)
};

// 获取网点列表
export const getStoreList = params => {
  return axios.request({
    url: `store/findSortList`,
    method: 'post',
	data: params
  })
};
// 获取网点详情
export const getStoreDetail = params => {
  return axios.request({
    url: `store/findDetail`,
    method: 'post',
	data: params
  })
};
// 获取当前排队情况照片
export const getWaitPhoto = params => {
  return axios.request({
    url: `device/image/${params.deviceNo}`,
    method: 'get'
  })
};

// 查看网点营业状态
export const getStoreStatus = params => {
  return axios.request({
    url: `store/validateStoreAndDevice?storeId=${params.storeId}&deviceNo=${params.deviceNo}`,
    method: 'get'
  })
};